import { Lang } from './enum';
import { Locale } from './locale';
import { Supports } from './supports';
export declare class LocaleContext {
    locale: Locale;
    numberFormatLanguage: Lang;
    supports: Supports;
    constructor();
    setLocale(locale: Locale): void;
    setNumberFormatLanguage(numberFormatLanguage: Lang): void;
    setSupports(supports: Supports): void;
    getCmp(component: string): object | undefined;
    get<L extends Locale, T extends keyof Omit<L, 'lang'>>(component: T, key: keyof L[T], defaults?: L): string;
}
declare const _default: LocaleContext;
export default _default;
